=== modeling/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro apropriately

# Add subdirectories in CMake project, manually => handling dependencies
camitk_add_subdirectory(physicalmodel)
camitk_add_subdirectory(mmlcomponent)
