=== modeling/libraries/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a library, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_library() macro apropriately


# --- add every given library in dependencies order
camitk_add_subdirectory(lml)
camitk_add_subdirectory(pml)
camitk_add_subdirectory(mml)
