=== modeling/actions/mml/CMakeLists.txt ===
camitk_extension(ACTION_EXTENSION
                 NEEDS_LIBXML2
                 NEEDS_XSD
                 NEEDS_CEP_LIBRARIES pml mml monitoring lml 
                 NEEDS_COMPONENT_EXTENSION physicalmodel mml vtkmesh physicalmodel msh
                 CEP_NAME CEP_MODELING
                 DESCRIPTION "Action MML features algorithms applicable on MML components."
                 TEST_APPLICATION ${APPLICATION_TEST_ACTION}
                 TEST_FILES BigEndian.hdr
)
