=== modeling/libraries/mml/CMakeLists.txt ===
# Is this tool is compiled inside or outside CAMITK (as a standalone)?
if (NOT CEP_NAME STREQUAL "modeling")
  # if this tool is compiled independently from CamiTK
  set(MML_STANDALONE ON CACHE BOOL "ON only if MML compiled outside CAMITK SDK")
  message(SEND_ERROR "Compilation of MML outside CamiTK SDK not implemented yet. Please contact authors")
endif()

set(MML_INCLUDE_DIRECTORIES
  ${CAMITK_INCLUDE_DIRECTORIES}
  ${CAMITK_INCLUDE_DIR}/libraries
  ${CAMITK_INCLUDE_DIR}/libraries/monitoring
  ${CAMITK_INCLUDE_DIR}/libraries/mml
  ${CAMITK_INCLUDE_DIR}/libraries/pml
  ${CAMITK_INCLUDE_DIR}/libraries/lml
  ${LIBXML2_INCLUDE_DIR}
  ${XERCESC_INCLUDE_DIR}
  ${XSD_INCLUDE_DIR}
)

set(MML_LIBRARIES
  ${LIBXML2_LIBRARIES}
  ${XERCESC_LIBRARIES}
)

# default list of subdirectory
add_subdirectory(schema)
add_subdirectory(monitoring)
add_subdirectory(applications)
