=== debian/changelog ===
camitk (3.4.0-1build1) vivid; urgency=medium

  * No-change rebuild for new gdcm

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 07 Nov 2014 17:59:50 +0000

camitk (3.4.0-1) unstable; urgency=medium

  * New upstream release. 

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 28 Oct 2014 15:12:30 +0100

camitk (3.3.2-2) unstable; urgency=low

  * Fix autopkgtest for 3.3.2  
    Closes: #758130

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 23 Sep 2014 11:25:42 +0200
