=== debian/tests/control ===
Tests: config
Depends: libcamitk3 (>=3.2.2), xvfb, xauth
