=== debian/watch ===
version=3
http://camitk.imag.fr/devDownload.php .*/camitk-(\d.*?)(?:-.*)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
